use sysinfo::System;

fn main() {
    get_sys_info();
}

fn get_sys_info() {
    // Please note that we use "new_all" to ensure that all list of
    // components, network interfaces, disks and users are already
    // filled!
    let mut sys = System::new_all();

    // First we update all information of our `System` struct.
    sys.refresh_all();

    // Print system information:
    println!("System name:             {:?}", System::name());
    println!("Kernel version:          {:?}", System::kernel_version());
    println!("System OS version:       {:?}", System::os_version());
    println!("System host name:        {:?}", System::host_name());

    // Print number of CPUs:
    println!("Number of CPUs:          {}", sys.cpus().len());
}